Bug 187602 - gnome-cd crashes on /dev/hdd but not on /dev/cdrom
gnome-cd crashes on /dev/hdd but not on /dev/cdrom
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-04-01 11:25 EST by Gérard Milmeister
Modified: 2008-05-04 06:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 502569 (view as bug list)
Last Closed: 2008-05-04 06:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Stack trace from gnome-cd (5.14 KB, text/plain)
2006-11-22 18:50 EST, Peter Dawes
no flags Details
stack trace with gstreamer and cdparanoia debuginfo packages. (6.05 KB, text/plain)
2006-11-23 08:44 EST, Peter Dawes
no flags Details
patch against rpmbuild SOURCE directory (575 bytes, patch)
2006-12-12 15:48 EST, Peter Zubaj
no flags Details | Diff

  None (edit)
Description Gérard Milmeister 2006-04-01 11:25:59 EST
gnome-cd works correctly if the device name is exactly /dev/cdrom.
However is segfaults on any other device name, that point
to the the same device.
/dev/cdrom is linked to hdd, so is /dev/cdwriter
gnome-cd crashes on /dev/hdd and /dev/cdwriter, but not on /dev/cdrom.
When clicking on the audio cd icon that appears when an
audio cd is inserted, gnome-cd is started as:
gnome-cd --unique --play --device /dev/hdd
therefore it crashes.
Comment 1 Peter Dawes 2006-11-20 13:13:41 EST
I confirm this is still an issue in FC6.  Hardware is a dual-core AMD 4400+,
running 64-bit, in case this makes a difference.  The device name for gnome-cd
must be exactly /dev/cdrom, no other device works.  Doesn't matter if /dev/cdrom
is a link or the actual device.
Comment 2 Alexander Larsson 2006-11-21 03:29:09 EST
Can you generate a backtrace for the crash, with -debuginfo packages for
gnome-media, gtk2 and glib2 installed.
Comment 3 Peter Dawes 2006-11-22 18:50:52 EST
Created attachment 141961 [details]
Stack trace from gnome-cd
Comment 4 Alexander Larsson 2006-11-23 04:48:53 EST
Seems to be a gstreamer crash, related to gst_cd_paranoia.
Could you do the same with also debuginfo packages for gstreamer and cdparanoia?
Comment 5 Peter Dawes 2006-11-23 08:44:21 EST
Created attachment 141993 [details]
stack trace with gstreamer and cdparanoia debuginfo packages.
Comment 6 Peter Zubaj 2006-12-11 16:36:15 EST
In cdparanoia source in file scan_devices.c in function sgio_cdda_identify_scsi
is this test:

if (check_fd_sgio(d->cdda_fd))

Function check_fd_sgio returns value < 0, on error or argement if ok. For some
unknown reason when device other as /dev/cdrom is used (/dev/hdc /dev/hdd) 
cdda_fd = 0 is opened (this is valid fd, but zero) and check fails and
s2_init_sg_info is used (which is wrong). Check should be changed to:

if (check_fd_sgio(d->cdda_fd) == d->cdda_fd)

I will test this when I have time (currently this is not tested).
Comment 7 Peter Zubaj 2006-12-12 15:48:13 EST
Created attachment 143445 [details]
patch against rpmbuild SOURCE directory

Attached is patch against rpmbuild SOURCE dirctory - for me it fixes this
Comment 8 Bastien Nocera 2007-02-01 09:30:35 EST
cdparanoia bug.
Comment 9 Bug Zapper 2008-04-03 22:30:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Peter Dawes 2008-04-04 11:17:03 EDT
I can no longer duplicate this with either Fedora 7 or 8; suggest it be
considered closed or change status to "CurrentRelease"?
Comment 11 Peter van Egdom 2008-05-04 06:59:20 EDT
Thank you for the bug report. Closing bug as per comment #10.

Note You need to log in before you can comment on or make changes to this bug.